
#include "Nave.h"
#include <SDL/SDL.h>


class Jugador : public Nave
{
	private:
		bool izq, der, arri, aba;
	
	
	public:
		
	Jugador(char * path);
	~Jugador();
	
	void Actualizar(float time);
	
	void setIzq(bool cond);
	void setDer(bool cond);
	void setArri(bool cond);
	void setAba(bool cond);
	
	
	bool colisionX ();
	bool colisionY ();
	
};
